package net.pricefx.common.apibuilder;

public abstract class AbstractBuilder extends ObjectIdentity {

	public static final String METHOD_BUILD = "build";
	
	public AbstractBuilder(String instanceId, String classId, IdGenerator idGenerator, Invocations<MethodInvocation> invocations) {
		super(instanceId, classId, ObjectIdentity.NONE, idGenerator, invocations);
	}

	public abstract BuilderResult<?> build();
	
}