package net.pricefx.logic.core.client;

import net.pricefx.logic.core.config.Partition;
import org.apache.commons.lang3.StringUtils;

public class PartitionFactory {

    public Partition createPartition(String env, String partitionName, String url) {
        return new Partition(env, partitionName, url);
    }

    @Deprecated
    public Partition createPartition(String env, String name, String url, String username, String passwordOrToken) {
        Partition partition = new Partition(env, name, url);

        if (StringUtils.isEmpty(username)) {
            partition.getAuthenticator().setJwt(passwordOrToken);
        } else {
            partition.getAuthenticator().setCredentials(username, passwordOrToken);
        }

        return partition;
    }
}
